Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 22 Aug 2005 11:14:07 -0400

Henry,

Absolutely!  The Public Safety Access Points (PSAP or emergency call
center -- a colleague reminded me that that is a US-centric term) might
be able to use less expensive terminals (PC?), and would have a more
rich environment to work with, IF they stop requiring backward
compatibility with the PSTN-based systems. 

Mike

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Saturday, August 20, 2005 12:01 PM
> To: Michael Hammer (mhammer); [email-masked]; 'Richard Shockey'
> Cc: Cullen Jennings (fluffy); 'sipping'; 'Brijesh Kumar'; 
> 'Dean Willis'
> Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer
> 
> Mike,
> 
> >2) That PSAPs are only reachable through a legacy  or 
> (hopefully soon) 
> >infrastructure VoIP network.
> 
> As Juha has pointed out, PSAPs need to be connected to the 
> Internet and use SIP. That's all.
> 
> Keeping PSAPs on the PSTN only is a regrettable backwardness 
> and quite irresponsible by regulators. 
> 
> Thanks, Henry
> 
> -----Original Message-----
> From: Michael Hammer (mhammer) [mailto:[email-masked]]
> Sent: Friday, August 19, 2005 11:53 AM
> To: [email-masked]; Richard Shockey
> Cc: Cullen Jennings (fluffy); sipping; Brijesh Kumar; Dean Willis
> Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer
> 
> Jose,
> 
> I think you are making a couple big assumptions:
> 
> 1) That there is no infrastructure.  I think the presence of 
> DNS and ENUM immediately eliminate that thought.  The 
> question is whether the current directory systems can provide 
> enough information to allow direct connect to a P2P-PSAP.
> 
> 2) That PSAPs are only reachable through a legacy or 
> (hopefully soon) infrastructure VoIP network.  This is a 
> regulatory question in many respects, since it could be 
> technologically possible for direct PSAP to Internet 
> connection, but whether those emergency centers are willing 
> to do so, may require some regulation to "encourage" such 
> implementation.
> 
> Mike
> 
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of [email-masked]
> > Sent: Monday, August 15, 2005 10:15 AM
> > To: Richard Shockey
> > Cc: Cullen Jennings (fluffy); sipping; Brijesh Kumar; Dean Willis
> > Subject: Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer
> > 
> > Hi,
> > 
> > I tend to agree that 911 services and security are two items that 
> > should be part of P2P VoIP services.
> > 
> > However, this pose some requirements that contradict the 
> nature of P2P 
> > networks.
> > 
> > If we consider a P2P network without any infrastructure 
> support how do 
> > we provide the required support for 911 services?
> > who is hosting the emergency service in an Ad hoc network?
> > Only when the P2P network is an extension of a fixed 
> network then we 
> > will have a GW available to provide the connectivity for 
> accessing the 
> > emergency services.
> > 
> > Therefore, P2P SIP networks will provide emergency services 
> > conditioned to the fact that we have a linkage to fixed 
> networks. The 
> > only thing P2P SIP can do is to provide the basic framework such as 
> > addressing/naming to identify emergency calls, locate the GW for 
> > accessing the fixed infra and route E911 calls throughoutt that GW.
> > Rgds
> > Jose
> > 
> > 
> > 
> > > Philip Patrick wrote:
> > >
> > > >I believe emergency services should be within the scope of 
> > P2P SIP.  
> > > >As a
> > > network operator enabling VoIP SPs to become custom telephone 
> > > companies, we at Pac West Telecom endorse the FCC Order 
> > requiring VoIP 
> > > SPs to support Enhanced 911 service for nomadic VoIP users. 
> >  And, in 
> > > order for P2P VoIP to become a ubiquitous means of 
> > communication, the 
> > > routing of calls to the correct PSAP and rendering of location 
> > > information for use by a 911 dispatcher is essential.
> > > >
> > > >Phil
> > > >
> > > I couldnt agree more ... I think the VoIP community 
> should support 
> > > Enhanced 911 services ..just as soon as the wireless 
> industry gets 
> > > around to supporting E911 as well.
> > >
> > > --
> > >
> > >
> > > >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
> > > Richard Shockey, Director - Member of Technical Staff NeuStar Inc.
> > > 46000 Center Oak Plaza  -   Sterling, VA  20166
> > > sip:rshockey(at)iptel.org   sip:57141(at)fwd.pulver.com
> > > ENUM +87810-13313-31331
> > > PSTN Office +1 571.434.5651 PSTN Mobile +1 703.593.2683
> > > Fax: +1 815.333.1237
> > > <mailto:richard(at)shockey.us> or
> > > <mailto:richard.shockey(at)neustar.biz>
> > > <http://www.neustar.biz> ; <http://www.enum.org> 
> > > <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
> > >
> > >
> > > _______________________________________________
> > > Sipping mailing list  
> https://www1.ietf.org/mailman/listinfo/sipping
> > > This list is for NEW development of the application of SIP Use 
> > > [email-masked] for questions on current sip Use 
> > > [email-masked] for new developments of core SIP
> > >
> > 
> > 
> > 
> > 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP 
> > Use [email-masked] for questions on current 
> > sip Use [email-masked] for new developments of core SIP
> > 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Dale Worley" <[email-masked]>
Date: Mon, 22 Aug 2005 13:03:18 -0400

> From: Michael Hammer (mhammer)
>

That isn't a technological issue -- it would be straightforward to overhaul
an emergency call center to handle incoming calls from a "SIP trunk", and to
process the calls using workstations that are SIP UAs.  For PSTN
compatibility, incoming PSTN trunks could be attached to "SIP gateways" that
translate PSTN calls to SIP calls.  (Gateways are made by Audiocodes,
Vegastream, Cisco, and a number of other companies.)  This is only a bit
different from what many companies are now doing with their internal PBX
systems.  (And there might be a lot of cost savings to be had, too.)

Dale

---

From: "Brian Rosen" <[email-masked]>
Date: Tue, 23 Aug 2005 09:26:19 -0400

Couple of points to be made:

1. The term PSAP is not US-centric.  It appears in several other countries
lexicons.  There is no universally accepted term, and the authors of various
works on the subject have tried "Emergency Response Center" without much
success.  PSAP will do.

2. There is quite a bit of effort underway to develop new IP based
technology at the PSAP.  It will probably be possible some day to have a SIP
call terminate right at the call taker workstation.  This requires upgrades
at the PSAPs, and that is notoriously difficult to accomplish, primarily
(almost exclusively) because of funding issues.  Unless you are prepared to
state how new software, hardware and network connectivity, with accompanying
processes, firewalls, training, etc is going to be paid for, then you might
have to wait the usual decade (in the U.S., often longer elsewhere) until
every PSAP can terminate a SIP call.  I have some optimism that there will
be some funding available in the U.S. I don't have any reason to be
optimistic at the moment elsewhere.  Please also realize that, typically,
once a call is answered at a PSAP, it is transferred to the appropriate
responder(s).  They too may need upgrades to their telephony systems.

3. It is not trivial to connect SIP based VoIP callers to existing systems,
although the difficulty varies quite a bit with the sophistication of the
emergency call network.  In North America, it's pretty hard if it is
possible to roam, because existing systems assume the location of the caller
is statically determinable from a database queried by the telephone number,
or the carrier participates in a medium complexity scheme that allows a
dynamic location of the caller to be sent to the PSAP when it queries the
database.  Also, emergency calls are NOT sent through the PSTN.  In North
America, each switch (central office) has special trunks that connect to a
special tandem switch to which PSAPs are connected.  In other countries
there is no need for a special tandem, but most use special trunks directly
from the CO switch.  You can use a relatively straightforward gateway
(typically SS7 signaling on the TDM side, sometimes, in North America, an
odd MF signaling standard called CAMA), but it connects to the 9-1-1 tandem
(called a "selective router"), or directly to the PSAP.

There is a standard (called "i2") that NENA (the North American Emergency
Number Association) developed that does allow VoIP calls to be put into the
current NA system correctly.  It involves a couple of new databases derived
from the existing one, a specialized service provider and gateways to the
Selective Routers.

4. The ecrit work will provide a way to route a call to a SIP uri based on
the location of the caller.  That is one of the key mechanisms required to
accomplish 1) above.  The mechanism is not decided, but, roughly, you query
a database with location, and it gives you a URI.  Any entity could
implement that mechanism, even a P2P UA.  Given a URI, that P2P UA could,
theoretically, route the call to the PSAP, where, again, theoretically, it
could be answered by the call taker.  That implies that the PSAP implements
P2P SIP, whatever that turns out to be as well as regular SIP, which is the
current assumption.  I would personally not consider that to be much of an
obstacle, but it depends on the complexity, security and other operational
issues that are unknown at the moment.

Brian

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Dale Worley
Sent: Monday, August 22, 2005 1:03 PM
To: 'sipping'
Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

Dale